%global pypi_name myst-nb
%global srcname myst_nb

Name:		python-%{pypi_name}
Version:	1.2.0
Release:	%mkrel 2
Summary:	A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/myst-nb/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser

%package -n python3-%{pypi_name}
Summary:	A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?py_provides:%py_provides python3-myst_nb}
Obsoletes:      python3-myst_nb < 1.1.1

%description -n python3-%{pypi_name}
A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%_bindir/mystnb-*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2.0-2.mga10
+ Revision: 2242078
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2159578
- new version: 1.2.0
- rebuild for python 3.13

* Sun Jun 30 2024 wally <wally> 1.1.1-1.mga10
+ Revision: 2078249
- new version 1.1.1
- fix and normalize pkg names to follow PEP 503
+ papoteur <papoteur>
- fix requirement on sphinx version
- new version 1.0.0

* Tue Dec 19 2023 papoteur <papoteur> 0.16.0-3.mga10
+ Revision: 2019184
- Mass Rebuild - Python 3.12

* Sun Sep 11 2022 wally <wally> 0.16.0-2.mga9
+ Revision: 1887140
- obsolete duplicate pkg python3-myst_nb

* Thu Sep 08 2022 neoclust <neoclust> 0.16.0-1.mga9
+ Revision: 1885638
- imported package python-myst-nb

